# CommonCRUDRepoTests

abstract class CommonCRUDRepoTests : CommonRepoTests < CRUDRepo < CommonCRUDRepoTests.Registered , String , CommonCRUDRepoTests.New >> (source)

## Constructors

CommonCRUDRepoTests
Link copied to clipboard
constructor()

## Types

New
Link copied to clipboard
@Serializable
data class New (val data: String )
Registered
Link copied to clipboard
@Serializable
data class Registered (val id: String , val data: String )

## Functions

creatingWorksProperly
Link copied to clipboard
fun creatingWorksProperly (): ERROR CLASS: Unresolved name: runTest
removingWorksProperly
Link copied to clipboard
fun removingWorksProperly (): ERROR CLASS: Unresolved name: runTest